Package Gnumed :: Package timelinelib :: Package dataimport :: Module timelinexml |
[frames] | no frames]

# Module timelinexml

source code

Classes
| ParseException Thrown if parsing of data read from file fails.
| Parser

Functions
import_db_from_timeline_xml(path) | source code
parse_color(color_string) Expected format 'r,g,b'. | source code
parse_icon(string) Expected format: base64 encoded png image. | source code
parse_alert_string(time_type, alert_string) | source code

Imports: abspath, base64, re, shutil, StringIO, wx, BosparanianTimeType, GregorianTimeType, NumTimeType, MemoryDB, TimelineIOError, Category, Container, Era, Event, Subevent, TimePeriod, Milestone, create_non_exising_path, ANY, OPTIONAL, parse, parse_fn_store, SINGLE, Tag, ex_msg

Function Details

### parse_color(color_string) | source code
Expected format 'r,g,b'. Return a tuple (r, g, b).

### parse_icon(string) | source code
Expected format: base64 encoded png image. Return a wx.Bitmap.